# Installing Monica (Generic)

Monica can be installed on a variety of platforms. The choice of the platform is yours.

- [Requirements](#requirements)
- [Installation instructions for specific platforms](#installation-instructions-for-specific-platforms)
    - [Generic Linux instructions](#generic-linux-instructions)
    - [Platforms](#platforms)

<a id="markdown-requirements" name="requirements"></a>
## Requirements

If you don't want to use Docker, the best way to setup the project is to use the same configuration that [Homestead](https://laravel.com/docs/homestead) uses. Basically, Monica depends on the following:

* [Git](https://git-scm.com/book/en/v2/Getting-Started-Installing-Git)
* PHP 7.1+
* [Composer](https://getcomposer.org/)
* [MySQL](https://www.mysql.com/)
* Optional: Redis or Beanstalk

<a id="markdown-installation-instructions-for-specific-platforms" name="installation-instructions-for-specific-platforms"></a>
## Installation instructions for specific platforms

The preferred OS distribution is Ubuntu 16.04, simply because all the development is made on it and we know it works. However, any OS that lets you install the above packages should work.

<a id="markdown-generic-linux-instructions" name="generic-linux-instructions"></a>
### Generic Linux instructions
* [Generic Instructions](/docs/installation/generic.md)
* [Ubuntu](/docs/installation/ubuntu.md)
* [Debian](/docs/installation/debian.md)

<a id="markdown-platforms" name="platforms"></a>
### Platforms

* [Docker](/docs/installation/docker.md)
* [Heroku](/docs/installation/heroku.md)
* [Vagrant](/docs/installation/vagrant.md)
* [YunoHost](https://github.com/YunoHost-Apps/monica_ynh)
* [Cloudron](/docs/installation/cloudron.md)
